<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="zh_Hans">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="7e1c167192413ce2" weblate-flags="safe-html, strict-same">
        <source>= Avoiding Physical Dependency Some users, particularly library authors, may wish to provide conversions between their types and &lt;&lt;ref_value&gt;&gt;, but at the same time would prefer to avoid having their library depend on Boost.JSON. This is possible to achieve with the help of a few forward declarations.</source>
        <target state="translated">= 避免物理依赖 一些用户（尤其是库作者）可能希望为其类型与 &amp;lt;&lt;ref_value&gt;&amp;gt; 提供转换功能，但同时又希望避免让自己的库依赖 Boost.JSON。借助一些前向声明，即可实现这一目标。&lt;/ref_value&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">10</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7d2eb861e2ca1657" weblate-flags="safe-html, strict-same">
        <source>Note that &lt;&lt;ref_value_from&gt;&gt; is declared using an out-parameter, rather then returning its result. This overload is specifically designed for this use-case.</source>
        <target state="translated">请注意，&amp;lt;&lt;ref_value_from&gt;&amp;gt; 是通过输出参数声明的，而非返回其结果。该重载正是为这一使用场景而设计的。&lt;/ref_value_from&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">21</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0beff759d4dd2eaf" weblate-flags="safe-html, strict-same">
        <source>After that the definitions of `tag_invoke` overloads should be provided. These overloads have to be templates, since &lt;&lt;ref_value&gt;&gt; is only forward-declared and hence is an incomplete type.</source>
        <target state="translated">之后应提供 `tag_invoke` 重载的定义。这些重载必须是模板，因为 &amp;lt;&lt;ref_value&gt;&amp;gt; 仅是前向声明的，因此是一个不完整类型。&lt;/ref_value&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">24</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4d4f1ad1eac804aa" weblate-flags="safe-html, strict-same">
        <source>As discussed previously, we prefer to define a non-throwing overload of `tag_invoke` for &lt;&lt;ref_try_value_to&gt;&gt;, rather then the throwing overload for &lt;&lt;ref_value_to&gt;&gt;, as the latter can fallback to the former without performance degradation.</source>
        <target state="translated">如前所述，我们更倾向于为 &amp;lt;&lt;ref_try_value_to&gt;&amp;gt; 定义不抛异常的 `tag_invoke` 重载，而不是为 &amp;lt;&lt;ref_value_to&gt;&amp;gt; 定义抛异常的重载，因为后者可以在无性能损失的情况下回退到前者。&lt;/ref_value_to&gt;&lt;/ref_try_value_to&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">33</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6b25b22b40eb2d99" weblate-flags="safe-html, strict-same">
        <source>Forward declarations of contextual conversions are done very similarly:</source>
        <target state="translated">上下文相关转换的前向声明方式与此非常相似：</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">38</context>
        </context-group>
      </trans-unit>
    </body>
  </file>
</xliff>
